
locals {
  ad_number = var.ad_number
  assign_public_ip = var.assign_public_ip
  attachment_type = var.attachment_type
  baseline_ocpu_utilization = var.baseline_ocpu_utilization
  block_storage_sizes_in_gbs = var.block_storage_sizes_in_gbs
  boot_volume_backup_policy = var.boot_volume_backup_policy
  boot_volume_size_in_gbs = var.boot_volume_size_in_gbs
  cloud_agent_plugins = var.cloud_agent_plugins
  compartment_ocid = var.compartment_ocid
  defined_tags = var.defined_tags
  extended_metadata = var.extended_metadata
  freeform_tags = var.freeform_tags
  hostname_label = var.hostname_label
  instance_count = var.instance_count
  instance_display_name = var.instance_display_name
  instance_flex_memory_in_gbs = var.instance_flex_memory_in_gbs
  instance_flex_ocpus = var.instance_flex_ocpus
  instance_state = var.instance_state
  instance_timeout = var.instance_timeout
  ipxe_script = var.ipxe_script
  preserve_boot_volume = var.preserve_boot_volume
  primary_vnic_nsg_ids = var.primary_vnic_nsg_ids
  private_ips = var.private_ips
  public_ip = var.public_ip
  public_ip_display_name = var.public_ip_display_name
  resource_platform = var.resource_platform
  shape = var.shape
  skip_source_dest_check = var.skip_source_dest_check
  source_ocid = var.source_ocid
  source_type = var.source_type
  ssh_authorized_keys = var.ssh_authorized_keys
  ssh_public_keys = var.ssh_public_keys
  subnet_ocids = var.subnet_ocids
  use_chap = var.use_chap
  user_data = var.user_data
  vnic_name = var.vnic_name
}
